﻿using System.Windows;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.fontButton.Click += fontButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 폰트 버튼 클릭시 처리하기 - fontButton_Click(sender, e)

        /// <summary>
        /// 폰트 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void fontButton_Click(object sender, RoutedEventArgs e)
        {
            FontDialog fontDialog = new FontDialog();

            fontDialog.Owner = this;

            fontDialog.Typeface = new Typeface
            (
                this.textBlock.FontFamily,
                this.textBlock.FontStyle,
                this.textBlock.FontWeight,
                this.textBlock.FontStretch
            );

            fontDialog.FaceSize = this.textBlock.FontSize;

            if(fontDialog.ShowDialog().GetValueOrDefault())
            {
                this.textBlock.FontFamily  = fontDialog.Typeface.FontFamily;
                this.textBlock.FontSize    = fontDialog.FaceSize;
                this.textBlock.FontStyle   = fontDialog.Typeface.Style;
                this.textBlock.FontWeight  = fontDialog.Typeface.Weight;
                this.textBlock.FontStretch = fontDialog.Typeface.Stretch;
            }
        }

        #endregion
    }
}